cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/billing_periods/bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.billing_periods.get_settings_billing_period(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.billingPeriods.getSettingsBillingPeriod('bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->billingPeriods->getSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.billing_periods.billing_periods_dto.BillingPeriodsDto.SettingsBillingPeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsBillingPeriod> response = client.billingPeriods().getSettingsBillingPeriod(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.BillingPeriods.GetSettingsBillingPeriodAsync("bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.billingPeriods.getSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.BillingPeriods().GetSettingsBillingPeriod(context.Background(), "bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"billing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>",
"time_period": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Billing periods
Retrieve a billing period
Returns one billing period by its id, under billing_period.
GET
/
settings
/
billing_periods
/
{billing_period_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/billing_periods/bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.billing_periods.get_settings_billing_period(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.billingPeriods.getSettingsBillingPeriod('bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->billingPeriods->getSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.billing_periods.billing_periods_dto.BillingPeriodsDto.SettingsBillingPeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsBillingPeriod> response = client.billingPeriods().getSettingsBillingPeriod(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.BillingPeriods.GetSettingsBillingPeriodAsync("bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.billingPeriods.getSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.BillingPeriods().GetSettingsBillingPeriod(context.Background(), "bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"billing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>",
"time_period": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads the billing period with this
bp_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The billing period's bp_ id, as a listing or a create returns it.
Response
The billing period, under billing_period.
Show child attributes
Show child attributes